package ink.wgink.module.wechat.startup;

import ink.wgink.module.wechat.official.account.manager.OfficialAccountAccessTokenManager;
import ink.wgink.module.wechat.official.account.pojo.OfficialAccountEvent;
import ink.wgink.properties.wechat.official.account.OfficialAccountProperties;
import ink.wgink.util.xml.XMLUtil;
import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.Element;
import org.dom4j.io.SAXReader;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.io.ByteArrayInputStream;
import java.io.StringReader;
import java.nio.charset.StandardCharsets;
import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: WechatStartUp
 * @Description: 微信启动
 * @Author: wanggeng
 * @Date: 2021/4/28 6:40 上午
 * @Version: 1.0
 */
@Component
public class WechatStartUp implements ApplicationRunner {
    @Autowired
    private OfficialAccountProperties officialAccountProperties;

    @Override
    public void run(ApplicationArguments args) throws Exception {

    }

    @Scheduled(cron = "0 0/5 * * * ? *")
    public void refreshOfficialAccountAccessToken() {
        OfficialAccountAccessTokenManager.getInstance().refreshAccessToken(officialAccountProperties);
    }

}
